These are chat archives for AngularClass/angular2-webpack-starter

11th
Jul 2016
Emil Aasa
@emilaasa
Jul 11 2016 07:16
Are we running rc4 now with material2?
Emil Aasa
@emilaasa
Jul 11 2016 07:37
I get the following errors and as a npm noob I dont know how to resolve it:
npm WARN @angular2-material/checkbox@2.0.0-alpha.6 requires a peer of @angular/forms@^0.1.0 but none was installed.
npm WARN @angular2-material/icon@2.0.0-alpha.6 requires a peer of @angular/http@2.0.0-rc.3 but none was installed.
npm WARN @angular2-material/input@2.0.0-alpha.6 requires a peer of @angular/forms@^0.1.0 but none was installed.
npm WARN @angular2-material/radio@2.0.0-alpha.6 requires a peer of @angular/forms@^0.1.0 but none was installed.
npm WARN @angular2-material/slide-toggle@2.0.0-alpha.6 requires a peer of @angular/forms@^0.1.0 but none was installed.
But in the angularclass repo it seems the material branch is working just fine with the same stuff that I have put in it
tamtran-asnet
@tamtran-asnet
Jul 11 2016 09:53
hello
Thibaut Roy
@thbt
Jul 11 2016 09:56
@emilaasa those are warnings not errors, it seems that material2 needs angular/forms with the 0.1.0 version or greater (most recent version being 0.2.0 iirc) and angular/http 2.0.0-rc.3 but it should work fine with 2.0.0-rc.4 since there is no breaking changes for this module (again, iirc)
Emil Aasa
@emilaasa
Jul 11 2016 10:48
@thbt Yeah, I realized I was freaking out for nothing! =)
Pedro Cunha
@pedromcunha
Jul 11 2016 19:58
Hey, anyone here ever use grunt typescript?
Anuteja Mallampati
@anuteja
Jul 11 2016 21:54
I am experimenting with Shadow DOM, is there a way I can encapsulate js in shadow dom just like we encapsulate css?